Package twisted :: Package web :: Module twcgi :: Class CGIScript

[frames | no frames]

## Class CGIScript

    Resource --+
               |
              CGIScript

Known Subclasses:
  `FilteredScript`

I represent a CGI script.

My implementation is complex due to the fact that it requires asynchronous IPC with an external process with an unpleasant protocol.

Method Summary
| ``__init__`(self, filename, registry)` Initialize, with the name of a CGI script file.
| ``render`(self, request)` Do various things to conform to the CGI specification.
| `runProcess(self, env, request, qargs)`
Inherited from Resource
| ``delEntity`(self, name)`
| ``getChild`(self, path, request)` Retrieve a 'child' resource from me.
| ``getChildForRequest`(self, request)`
| ``getChildWithDefault`(self, path, request)` Retrieve a static or dynamically generated child resource from me.
| ``getDynamicEntity`(self, name, request)`
| ``getStaticEntity`(self, name)`
| ``listDynamicEntities`(self, request)`
| ``listDynamicNames`(self)`
| ``listEntities`(self)`
| ``listNames`(self)`
| ``listStaticEntities`(self)`
| ``listStaticNames`(self)`
| ``putChild`(self, path, child)` Register a static child.
| ``reallyPutEntity`(self, name, entity)`
| ``render_HEAD`(self, request)` Default handling of HEAD method.

Class Variable Summary
`int` | `isLeaf` = 1
Inherited from Resource
`tuple` | `__implements__` = `(<class twisted.web.resource.IResource ...`
`NoneType` | `server` = None

Method Details

### __init__(self, filename, registry=None)
(Constructor)

Initialize, with the name of a CGI script file.

  Overrides:
    `twisted.web.resource.Resource.__init__`

### render(self, request)

Do various things to conform to the CGI specification.

I will set up the usual slew of environment variables, then spin off a process.

  Overrides:
    `twisted.web.resource.Resource.render`

Class Variable Details

### isLeaf

  Type:
    `int`
  Value:

        1

Generated by Epydoc 2.0 on Sat May 15 20:08:54 2004 | http://epydoc.sf.net